@import url('https://fonts.googleapis.com/css2?family=M+PLUS+Rounded+1c:wght@100;300;400;500;700;800;900&family=Noto+Sans+JP:wght@100..900&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Alfa+Slab+One&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Zen+Old+Mincho:wght@400;500;600;700;900&display=swap");

html,
body {
    /* background-color: white; */
    background-image: url(../img/top_bg.png?1);
    background-size:cover;
    background-repeat: no-repeat;
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 269.23076vw;
    overflow-x: hidden;
}

h1,
figure,
p,
a,
span {
    margin: 0;
    padding: 0;
}

/* iOS Safari専用スタイル */
body.ios-safari rt {
    margin-top: -1.5vw;
    line-height: 0vw;
}

/* その他のブラウザ用スタイル */
body:not(.ios-safari) rt {
    margin-top: -1.5vw;
    margin-bottom: -1.5vw;
    line-height: normal;
}

.center {
    text-align: center;
}

.margin0 {
    margin: 0;
}

.padding0 {
    padding: 0;
}

.weight_100,
.weight_Thin,
.weight_Hairline {
    font-weight: 100;
}

.weight_200,
.weight_ExtraLight,
.weight_UltraLight {
    font-weight: 200;
}

.weight_300,
.weight_Light {
    font-weight: 300;
}

.weight_400,
.weight_Regular,
.weight_Normal {
    font-weight: 400;
}

.weight_500,
.weight_Medium {
    font-weight: 500;
}

.weight_600,
.weight_SemiBold,
.weight_DemiBold {
    font-weight: 600;
}

.weight_700,
.weight_Bold {
    font-weight: 700;
}

.weight_800,
.weight_ExtraBold,
.weight_UltraBold {
    font-weight: 800;
}

.weight_900,
.weight_Black,
.weight_Heavy {
    font-weight: 900;
}

/* だいたいこれがあれば大丈夫のフォントたち */
.font_M-Plus-Rounded-1c {
    font-family: 'M PLUS Rounded 1c', sans-serif;
}

.font_Noto-Sans-JP {
    font-family: 'Noto Sans JP', sans-serif;
}
.font_alfa_slab_one {
    font-family: 'Alfa Slab One', sans-serif;
}
.font_zen_old_mincho {
    font-family: "Zen Old Mincho", serif;
}

/* Model-Viewer用 */
model-viewer {
    display: none;
}

.non_download{
    pointer-events: none ;
}